package uo.sdi.acciones;

import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ElegirAction implements Accion {

	@Override
	public String execute(HttpServletRequest request,
			HttpServletResponse response) {

		HashMap<String, Integer> carrito = (HashMap<String, Integer>)request.getSession().getAttribute("carrito");
		if ( carrito == null ) {
			carrito = new HashMap<String, Integer>();
		}
		String producto = request.getParameter("producto");
		if ( producto != null )	{
			Integer cantidad = (Integer) carrito.get(producto);
			if ( cantidad == null )
				cantidad = new Integer ( 1 );
			else 
				cantidad = new Integer ( cantidad.intValue() + 1 );
		    
			//Y aadimos el producto al carrito
			carrito.put(producto, cantidad);
		}
		//Aadimos el carrito a la sesin
		request.getSession().setAttribute("carrito",carrito);

		return "EXITO";
	}
	
	

}
