package uo.sdi.acciones;

import java.util.HashMap;
import java.util.Map.Entry;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class PagarAction implements Accion {

	@Override
	public String execute(HttpServletRequest request,
			HttpServletResponse response) {

		HashMap<String, Integer> carrito = (HashMap<String, Integer>)request.getSession().getAttribute("carrito");
		if (carrito == null )
			return "FRACASO";
		
		Integer importe=0;
		for (Entry<String, Integer> entry : carrito.entrySet()) {
			importe+=entry.getValue()*1000;
		}
		request.getSession().setAttribute("totalFactura",importe);
		return "EXITO";
	}
	
	

}
